Description

[l faut mettre & jour ce document (en pj) pour la partie TM_LFR_KCOEFF_DUMP car suites aux réunions avec le LESIA il a été
décidé de garder la structure des paquets KCOEFF_DUMP comme en 3.2.0.24 : le dump contient 26 ou 13 blocs du type :

1 x UINT16 (KCOEFF FREQ INDEX) + 32 x FLOAT32 (valeurs KCOEFF du KCOEFF FREQ INDEX correspondant).
Actuellement le documents décrit un stream de floats (§ TM DUMP KCOEF format a la fin du document).

D'ailleurs question : il aurait été plus lisible de mettre le numéro de BIN directement dans le UINT16 (16, 24, 32, ... pour FO et
5,13,21,... pour FO par exemple) au lieu d'un index qui commence a 0, non?

History

#1 - 13/01/2023 11:58 AM - bruno katra

D'ailleurs question : il aurait été plus lisible de mettre le numéro de BIN directement dans le UINT16 (16, 24, 32, ... pour F0 et 5,13,21,... pour FO
par exemple) au lieu d'un index qui commence a 0, non?

Discuté avec Alexis : Alexis dit que I'information d'index en partant de 0 est aussi pertinente voire plus pour Thomas et lui que de remettre le numéro
de BIN.

#2 - 23/02/2023 10:31 AM - Alexis Jeandet

- Status changed from New to In Progress

#3 - 23/02/2023 03:07 PM - Alexis Jeandet
- File CalibrationMatrices_TC _TM.html added

Je te propose les tables a la fin, qui me semblent plus lisibles que ce que j'avais fait avant. Si ¢a vous va j'enleéve I'ancienne description des dump.

#4 - 24/02/2023 05:04 PM - bruno katra

Alexis Jeandet wrote in #note-3:

Je te propose les tables a la fin, qui me semblent plus lisibles que ce que j'avais fait avant. Si ¢a vous va j'enléve I'ancienne description des
dump.

Oui c'est trés bien comme ¢a en effet. Par contre on ne peut pas exporter en texte et que ca reste joli avec les menus déroulants. De mon cété je vais
voir comment référencer le document dans la SRS par exemple. Mais de ton c6té tu vas mettre ces infos aussi dans la spec non?

#5 - 13/03/2023 01:08 PM - Alexis Jeandet
- File CalibrationMatrices_TC_TM.html added

Voici la version finale, coté spec, je dirais qu'il n'y a rien a faire pour la description des paquets de télémétrie.

#6 - 13/03/2023 06:45 PM - bruno katra
- File RPW-MEB-LFR-SPC-00277-1-00_LFR_Onboard_Calibration_Matrices_TC_and TM_structure_specification.html added

Dernier fichier livré d'Alexis (final) renommé avec numéro de chrono.
#7 - 12/05/2023 09:38 AM - bruno katra

- Status changed from In Progress to Closed

Ajouté au DP R3.3
